<template>
  <div class="bg-gray-200 rounded-md p-3">
    <h1 class="text-2xl text-gray-800">{{ title }}</h1>
    <div class="flex flex-col space-y-10">
      <div class="w-full text-center text-gray-600 font-bold text-lg">
        <p>Turnos No Asignados</p>
        <unassignedShifts />
      </div>
      <div class="w-full text-center text-blue-500 font-bold text-lg">
        <p>Turnos Asignados</p>
        <assignedShifts />
      </div>
    </div>
  </div>
</template>

<script>
import unassignedShifts from '../components/calendar/unassigned-shifts';
import assignedShifts from '../components/calendar/assigned-shifts';
import apiMixin from '../mixins/api';
export default {
  components: { unassignedShifts, assignedShifts },
  mixins: [apiMixin],
  data() {
    return {
      title: 'Turnos',
      loading: false,
    };
  },
  async mounted() {
    this.loading = true;
    if (this.turnsList.length === 0) {
      await this.fetchTurnsListAction();
    }
    if (this.userList.length === 0) {
      await this.fetchUserListAction();
    }
    if (this.turnsTemplateList.length === 0) {
      await this.fetchTurnsTemplateListAction();
    }
    this.loading = false;
  },
};
</script>
